Name: kosd
Version: 0.6.2
Release: %mkrel 2
Summary: An application showing OSD to respond volume buttons
License: GPLv2+
Group: Graphical desktop/KDE
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://www.kde-apps.org/content/show.php?content=81457
Source: http://www.kde-apps.org/CONTENT/content-files/81457-%{name}-%{version}.tar.bz2
BuildRequires: kdebase4-workspace-devel
Obsoletes: kde3-kvolumeosd < %version
Obsoletes: kde3-kosd < %version

%description
KOSD is a simple KDE application that runs in the background and
responds to volume buttons by showing a little OSD. It delegates the
actual job of adjusting the volume to KMix.

%prep
%setup -q -n %{name}

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

rm -fr %buildroot%_kde_includedir %buildroot%_kde_libdir/*.so

%find_lang kosd --with-html

%clean
rm -rf %buildroot

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files -f kosd.lang
%defattr(-,root,root)
%{_kde_libdir}/*.so.*
%{_kde_libdir}/kde4/*.so
%{_kde_datadir}/config.kcfg/kosd.kcfg
%{_kde_services}/kcm_kosd.desktop
%{_kde_services}/kded/*.desktop
%{_datadir}/dbus-1/interfaces/org.kde.kosd.xml


%changelog
* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 0.6.2-2mdv2011.0
+ Revision: 640443
- rebuild to obsolete old packages

* Sat Jan 29 2011 Funda Wang <fwang@mandriva.org> 0.6.2-1
+ Revision: 633874
- update to new version 0.6.2

* Fri Jan 28 2011 Funda Wang <fwang@mandriva.org> 0.6.1-1
+ Revision: 633566
- update to new version 0.6.1

* Sun Sep 05 2010 Funda Wang <fwang@mandriva.org> 0.6.0-1mdv2011.0
+ Revision: 576043
- update to new version 0.6.0

* Sun Aug 22 2010 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2011.0
+ Revision: 571991
- new version 0.5.1

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 0.4.1-2mdv2010.0
+ Revision: 438137
- rebuild

* Sat Feb 21 2009 Funda Wang <fwang@mandriva.org> 0.4.1-1mdv2009.1
+ Revision: 343533
- New version 0.4.1

* Thu Feb 19 2009 Funda Wang <fwang@mandriva.org> 0.4-1mdv2009.1
+ Revision: 342785
- New version 0.4
- kde4 version coming

* Fri Aug 01 2008 Funda Wang <fwang@mandriva.org> 0.2.3-1mdv2009.0
+ Revision: 259119
- New version 0.2.3

* Wed Jul 30 2008 Funda Wang <fwang@mandriva.org> 0.2.2-1mdv2009.0
+ Revision: 254587
- New version 0.2.2

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jun 04 2008 Funda Wang <fwang@mandriva.org> 0.2.1-1mdv2009.0
+ Revision: 214973
- Rename to kosd
- new version 0.2.1
- rename to kosd

* Fri May 09 2008 Funda Wang <fwang@mandriva.org> 0.1-2mdv2009.0
+ Revision: 205328
- fix post and postun script

* Fri May 09 2008 Funda Wang <fwang@mandriva.org> 0.1-1mdv2009.0
+ Revision: 205299
- fix name
- import source and spec
- Created package structure for kde3-kvolumeosd.

